Package org.apache.lucene.benchmark.byTask.tasks

# Class ReportTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.ReportTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `RepAllTask`, `RepSumByNameRoundTask`, `RepSumByNameTask`, `RepSumByPrefTask`

public abstract class ReportTask extends PerfTask
Report (abstract) task - all report tasks extend this task.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String[]`
`COLS`
`protected static final String`
`ELAPSED`
`protected static final String`
`newline`
`protected static final String`
`OP`
Get a textual summary of the benchmark results, average from all test runs.
`protected static final String`
`RECCNT`
`protected static final String`
`RECSEC`
`protected static final String`
`ROUND`
`protected static final String`
`RUNCNT`
`protected static final String`
`TOTMEM`
`protected static final String`
`USEDMEM`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

## Constructor Summary

Constructors
Constructor
Description
`ReportTask(PerfRunData runData)`

## Method Summary

Modifier and Type
Method
Description
`protected Report`
`genPartialReport(int reported, LinkedHashMap<String,TaskStats> partOfTasks, int totalSize)`
`protected String`
`longestOp(Iterable<TaskStats> taskStats)`
find the longest op name out of completed tasks.
`protected boolean`
`shouldNeverLogAtStart()`
Tasks that should never log at start can override this.
`protected boolean`
`shouldNotRecordStats()`
Tasks that should not record statistics can override this.
`protected String`
`tableTitle(String longestOp)`
Compute a title line for a report table
`protected String`
`taskReportLine(String longestOp, TaskStats stat)`
Compute a report line for the given task stat.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, doLogic, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### newline

protected static final String newline

### OP

protected static final String OP
Get a textual summary of the benchmark results, average from all test runs.

See Also:
  - Constant Field Values

### ROUND

protected static final String ROUND

See Also:
  - Constant Field Values

### RUNCNT

protected static final String RUNCNT

See Also:
  - Constant Field Values

### RECCNT

protected static final String RECCNT

See Also:
  - Constant Field Values

### RECSEC

protected static final String RECSEC

See Also:
  - Constant Field Values

### ELAPSED

protected static final String ELAPSED

See Also:
  - Constant Field Values

### USEDMEM

protected static final String USEDMEM

See Also:
  - Constant Field Values

### TOTMEM

protected static final String TOTMEM

See Also:
  - Constant Field Values

### COLS

protected static final String[] COLS

## Constructor Details

### ReportTask

public ReportTask(PerfRunData runData)

## Method Details

### shouldNeverLogAtStart

protected boolean shouldNeverLogAtStart()
Description copied from class: `PerfTask`
Tasks that should never log at start can override this.

Overrides:
  `shouldNeverLogAtStart` in class `PerfTask`
Returns:
  true if this task should never log when it start.

### shouldNotRecordStats

protected boolean shouldNotRecordStats()
Description copied from class: `PerfTask`
Tasks that should not record statistics can override this.

Overrides:
  `shouldNotRecordStats` in class `PerfTask`
Returns:
  true if this task should never record its statistics.

### tableTitle

protected String tableTitle(String longestOp)
Compute a title line for a report table

Parameters:
  `longestOp` - size of longest op name in the table
Returns:
  the table title line.

### longestOp

protected String longestOp(Iterable<TaskStats> taskStats)
find the longest op name out of completed tasks.

Parameters:
  `taskStats` - completed tasks to be considered.
Returns:
  the longest op name out of completed tasks.

### taskReportLine

protected String taskReportLine(String longestOp, TaskStats stat)
Compute a report line for the given task stat.

Parameters:
  `longestOp` - size of longest op name in the table.
  `stat` - task stat to be printed.
Returns:
  the report line.

### genPartialReport

protected Report genPartialReport(int reported, LinkedHashMap<String,TaskStats> partOfTasks, int totalSize)